hxt-xpath-9.1.2.2: The XPath modules for HXT.

Copyright | Copyright (C) 2006-2010 Uwe Schmidt Torben Kuseler
License | MIT
Maintainer | Uwe Schmidt (uwe@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.XML.HXT.XPath.XPathParser

Description

The XPath Parser

Synopsis

- parseNumber :: String -> XPathValue
- parseXPath :: XPathParser Expr

# Documentation

parseNumber :: String -> XPathValue Source #

parsing a number, parseNumber is used in XPathFct by the number function

- returns : the parsed number as `XPNumber` float or `XPVNumber` `NaN` in case of error

parseXPath :: XPathParser Expr Source #

the main entry point: parsing a XPath expression